image: docker:stable

stages:
- pre-build
- build
- notificacao


build-docker:
  services:
  - docker:dind 
  retry: 2 
  before_script:
  - docker info
  - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD


  stage: pre-build
  script:
  - docker build -t minha-imagem .
  - docker tag minha-imagem adrlm/minha-imagem:latest
  - docker push adrlm/minha-imagem:latest


build-project:
  image: adrlm/minha-imagem:latest
  retry: 2 
  services:
  - docker:dind
  stage: build
  tags:
  - gitlab-org
  dependencies:
  - build-docker
  script:
  - python3 plot_simples_grafico.py

notificacao-sucesso:
  image: adrlm/minha-imagem:latest   
  stage: notificacao
  tags:
  - gitlab-org
  when: on_success
  script:
  - python3 relogio.py 
  - sh notificacaoSucesso.sh 

notificacao-falhas:
  image: adrlm/minha-imagem:latest
  stage: notificacao
  tags:
  - gitlab-org
  when: on_failure
  script:
  - python3 relogio.py
  - echo sh notificacaoFalha.sh
  

























